;########################################################################
;#             THUNDERBIRD LOADER by Jan-Philip Gehrcke                 #
;#             http://gehrcke.de                                        #
;#             contact: jgehrcke@gmail.com                              #
;#             version: 2010-14-01                                      #
;########################################################################

; check options and paths, exit in error case
CheckIniFile()
ReadIni()
CheckTbProfileDir()
CheckTbExeFile()

; everything okay until here, invoke thunderbird with options
Run, "%tb_exe_path%" -profile "%tb_profile_path%", , Hide

CheckTbProfileDir(){
    ; check existence of path in string `tb_profile_path`
    global
    IfNotExist, %tb_profile_path%
        {
        MsgBox, Error: profile directory not found: %tb_profile_path%
        ExitApp
        }
    ; remove trailing backslash/slash from profile directory string,
    ; because thunderbird does not like it
    profile_path_last_char := SubStr(tb_profile_path, 0)
    slash0r := "/"
    backslash0r := "\"
    if (profile_path_last_char = slash0r or profile_path_last_char = backslash0r)
        tb_profile_path := SubStr(tb_profile_path, 1, -1)
    }

CheckTbExeFile(){
    ; check existence of path in string `tb_exe_path`
    global
    IfNotExist, %tb_exe_path%
        {
        MsgBox, Error: thunderbird executable not found: %tb_exe_path%
        ExitApp
        }
    }

CheckIniFile(){
    ; check existence of file `thunderbird_loader_settings.ini`
    IfNotExist, thunderbird_loader_settings.ini
        {
        MsgBox, Error: thunderbird_loader_settings.ini not found
        ExitApp
        }
    }

ReadIni(){
    ; try to read options from file `thunderbird_loader_settings.ini`
    global
    IniRead, tb_exe_path, thunderbird_loader_settings.ini, settings, tb_exe_path
    if tb_exe_path = ERROR
        {
        MsgBox, Error: option "tb_exe_path" not found in thunderbird_loader_settings.ini
        ExitApp
        }
    IniRead, tb_profile_path, thunderbird_loader_settings.ini, settings, tb_profile_path
    if tb_profile_path = ERROR
        {
        MsgBox, Error: option "tb_profile_path" not found in thunderbird_loader_settings.ini
        ExitApp
        }
    }